import LabelImgText from '@/components/LabelImgText';
import { imageOptions, joinPictureHttp } from '@/utils/comm';
import { Image } from 'antd';
import styles from './index.less';
const AiPatrolDetail = (props: any) => {
  const { data } = props;
  console.log(data);
  const valueStyle = {
    color: 'rgb(255, 255, 255)',
    fontSize: 16,
  };
  return (
    <div className={styles.container}>
      <div className={styles.eventImgWrap}>
        <Image
          width="100%"
          height="100%"
          {...imageOptions}
          src={joinPictureHttp(data?.medias?.[0]?.path)}
          style={{ objectFit: 'cover' }}
        />
      </div>
      <div>
        <LabelImgText
          label={'事件大类：'}
          value={data?.largeCategoryName}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'事件大类Code：'}
          value={data?.largeCategoryCode}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'事件小类：'}
          value={data?.smallCategoryName}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'事件小类Code：'}
          value={data?.smallCategoryCode}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'上报时间：'}
          value={data?.reportTime}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'地址：'}
          value={data?.address}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
        <LabelImgText
          label={'描述：'}
          value={data?.description}
          valueStyle={valueStyle}
          labelStyle={{
            fontSize: 16,
            color: 'rgb(203, 237, 255)',
          }}
        />
      </div>
    </div>
  );
};
export default AiPatrolDetail;
